VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Static Public Attributes | List of all members
IEventList Class Referenceabstract

List of events to process: Vst::IEventList. More...

`#include <ivstevents.h>`

Inheritance diagram for IEventList:

## Public Member Functions
virtual int32 | getEventCount ()=0
| Returns the count of events.
virtual tresult | getEvent (int32 index, Event &e)=0
| Gets parameter by index.
virtual tresult | addEvent (Event &e)=0
| Adds a new event.
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

List of events to process: Vst::IEventList.

- [host imp]
- [released: 3.0.0]
- [mandatory]

See Also
  ProcessData, Event

## Member Function Documentation

virtual int32 getEventCount | ( |  | ) |
| pure virtual

Returns the count of events.

Implemented in EventList.

virtual tresult getEvent | ( | int32 | index,
|  | Event & | e
| ) |  |
| pure virtual

Gets parameter by index.

Implemented in EventList.

virtual tresult addEvent | ( | Event & | e | ) |
| pure virtual

Adds a new event.

Implemented in EventList.

## Member Data Documentation

const FUID iid
| static

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.